Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SetChatDiscussionGroup

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.SetChatDiscussionGroup

Enclosing class:
  TdApi

public static final class TdApi.SetChatDiscussionGroup extends TdApi.Function<TdApi.Ok>
Changes the discussion group of a channel chat; requires canChangeInfo administrator right in the channel if it is specified.

Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Identifier of the channel chat.
`static final int`
`CONSTRUCTOR`
`long`
`discussionChatId`
Identifier of a new channel's discussion group.

## Constructor Summary

Constructors
Constructor
Description
`SetChatDiscussionGroup()`
Changes the discussion group of a channel chat; requires canChangeInfo administrator right in the channel if it is specified.
`SetChatDiscussionGroup(long chatId, long discussionChatId)`
Changes the discussion group of a channel chat; requires canChangeInfo administrator right in the channel if it is specified.
`SetChatDiscussionGroup(DataInput input)`
Changes the discussion group of a channel chat; requires canChangeInfo administrator right in the channel if it is specified.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Identifier of the channel chat. Pass 0 to remove a link from the supergroup passed in the second argument to a linked channel chat (requires canPinMessages rights in the supergroup).

### discussionChatId

public long discussionChatId
Identifier of a new channel's discussion group. Use 0 to remove the discussion group. Use the method getSuitableDiscussionChats to find all suitable groups. Basic group chats must be first upgraded to supergroup chats. If new chat members don't have access to old messages in the supergroup, then toggleSupergroupIsAllHistoryAvailable must be used first to change that.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### SetChatDiscussionGroup

public SetChatDiscussionGroup()
Changes the discussion group of a channel chat; requires canChangeInfo administrator right in the channel if it is specified.

Returns `Ok`

### SetChatDiscussionGroup

public SetChatDiscussionGroup(long chatId, long discussionChatId)
Changes the discussion group of a channel chat; requires canChangeInfo administrator right in the channel if it is specified.

Returns `Ok`

Parameters:
  `chatId` - long Identifier of the channel chat. Pass 0 to remove a link from the supergroup passed in the second argument to a linked channel chat (requires canPinMessages rights in the supergroup).
  `discussionChatId` - long Identifier of a new channel's discussion group. Use 0 to remove the discussion group. Use the method getSuitableDiscussionChats to find all suitable groups. Basic group chats must be first upgraded to supergroup chats. If new chat members don't have access to old messages in the supergroup, then toggleSupergroupIsAllHistoryAvailable must be used first to change that.

### SetChatDiscussionGroup

public SetChatDiscussionGroup(DataInput input) throws IOException
Changes the discussion group of a channel chat; requires canChangeInfo administrator right in the channel if it is specified.

Returns `Ok`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`